org.apache.olingo.odata2.api.edm

## Enum EdmMultiplicity

- java.lang.Object
- - java.lang.Enum<EdmMultiplicity>
  - - org.apache.olingo.odata2.api.edm.EdmMultiplicity

- All Implemented Interfaces:
    Serializable, Comparable<EdmMultiplicity>

      public enum EdmMultiplicity
      extends Enum<EdmMultiplicity>

  Do not implement this interface or derive from class.

    EdmMultiplicity indicates the number of entity type instances an association end can relate to:

    0..1
      one or none
    1
      exactly one
    *
      many

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANY`
    `ONE`
    `ZERO_TO_ONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmMultiplicity` | `fromLiteral(String literal)` Gets the multiplicity for a given name.
    `String` | `toString()` Returns the OData literal form of this multiplicity.
    `static EdmMultiplicity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmMultiplicity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZERO_TO_ONE

          public static final EdmMultiplicity ZERO_TO_ONE

    - #### MANY

          public static final EdmMultiplicity MANY

    - #### ONE

          public static final EdmMultiplicity ONE

  - ### Method Detail

    - #### values

          public static EdmMultiplicity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmMultiplicity c : EdmMultiplicity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmMultiplicity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromLiteral

          public static EdmMultiplicity fromLiteral(String literal)

      Gets the multiplicity for a given name.
      Parameters:
        `literal` -
      Returns:
        `EdmMultiplicity`

    - #### toString

          public String toString()

      Returns the OData literal form of this multiplicity.
      Overrides:
        `toString` in class `Enum<EdmMultiplicity>`
      Returns:
        the OData literal form of this multiplicity

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.